Re: Nuovo Microsoft EDGE e NVDA


Deejay Raf
 

Il 28/02/2020 11:57, ChrisLM ha scritto:
ho provato in varie pagine, ma il problema che descrivi non riesco a riprodurlo.

ti riferisci a pagine specifiche?
Raf:
No, accade in qualsiasi pagina web.
Ho provato ad avviare NVDA con gli add-on disabilitati ma il problema si verifica lo stesso.
Windows 10 Home aggiornato all'ultima build, NVDA 2019.3.1 e Microsoft Edge versione 80.0.361.62 (Build ufficiale) (64 bit).

ChrisLM:
Secondo me va segnalato, puoi procurare un log a livello Debug?
Raf:
Certamente! Questa è la parte del log in cui si verifica l'evento, se è necessario l'intero file basta chiedere e lo carico da qualche parte.

Sono in EDGE, ho caricato una pagina, ho selezionato un link e premo il tasto applicazioni.

[INIZIO EVENTO]

Input: kb(laptop):applications
IO - speech.speak (16:09:39.620) - MainThread (6148):
Speaking ['Apri collegamento in una nuova scheda', 's', '1 di 7']
IO - inputCore.InputManager.executeGesture (16:09:40.021) - winInputHook (8916):
Input: kb(laptop):downArrow
IO - inputCore.InputManager.executeGesture (16:09:40.211) - winInputHook (8916):
Input: kb(laptop):downArrow
IO - speech.speak (16:09:40.236) - MainThread (6148):
Speaking ['Apri collegamento in una nuova finestra', 'f', '2 di 7']
IO - inputCore.InputManager.executeGesture (16:09:40.388) - winInputHook (8916):
Input: kb(laptop):downArrow
IO - speech.speak (16:09:40.423) - MainThread (6148):
Speaking ['Apri collegamento nella finestra InPrivate', 'p', '3 di 7']
IO - inputCore.InputManager.executeGesture (16:09:40.586) - winInputHook (8916):
Input: kb(laptop):downArrow
IO - speech.speak (16:09:40.611) - MainThread (6148):
Speaking ['Salva collegamento con nome', 'l', '4 di 7']
IO - inputCore.InputManager.executeGesture (16:09:40.761) - winInputHook (8916):
Input: kb(laptop):downArrow
IO - speech.speak (16:09:40.782) - MainThread (6148):
Speaking ['Copia collegamento', 'o', '5 di 7']
IO - inputCore.InputManager.executeGesture (16:09:41.354) - winInputHook (8916):
Input: kb(laptop):enter
DEBUGWARNING - NVDAObjects.UIA.UIA._prefetchUIACacheForPropertyIDs (16:09:41.373) - MainThread (6148):
IUIAutomationElement.buildUpdatedCache failed given IDs of {30019, 30086, 30022, 30025, 30036, 30070, 30103, 30008, 30009, 30010, 30046, 30079}
IO - speech.speak (16:09:41.490) - MainThread (6148):
Speaking ['Accessibilità con il nuovo Microsoft Edge', 'Documento']
IO - inputCore.InputManager.executeGesture (16:09:50.260) - winInputHook (8916):
Input: kb(laptop):NVDA+f1
DEBUGWARNING - watchdog._watcher (16:09:51.506) - watchdog (10424):
Trying to recover from freeze, core stack:
  File "nvda.pyw", line 215, in <module>
  File "core.pyc", line 545, in main
  File "wx\core.pyc", line 2134, in MainLoop
  File "gui\__init__.pyc", line 1030, in Notify
  File "core.pyc", line 515, in run
  File "queueHandler.pyc", line 83, in pumpAll
  File "queueHandler.pyc", line 50, in flushQueue
  File "eventHandler.pyc", line 62, in _queueEventCallback
  File "eventHandler.pyc", line 155, in executeEvent
  File "eventHandler.pyc", line 92, in __init__
  File "eventHandler.pyc", line 100, in next
  File "C:\Users\MyName\AppData\Roaming\nvda\addons\remote\globalPlugins\remoteClient\__init__.py", line 426, in event_gainFocus
    nextHandler()
  File "eventHandler.pyc", line 100, in next
  File "NVDAObjects\behaviors.pyc", line 185, in event_gainFocus
  File "NVDAObjects\__init__.pyc", line 1102, in event_gainFocus
  File "NVDAObjects\__init__.pyc", line 988, in reportFocus
  File "speech\__init__.pyc", line 501, in speakObject
  File "speech\__init__.pyc", line 952, in speakTextInfo
  File "NVDAObjects\UIA\__init__.pyc", line 704, in getTextWithFields
  File "NVDAObjects\UIA\__init__.pyc", line 674, in _getTextWithFieldsForUIARange
  File "NVDAObjects\UIA\__init__.pyc", line 674, in _getTextWithFieldsForUIARange
  File "NVDAObjects\UIA\__init__.pyc", line 674, in _getTextWithFieldsForUIARange
  [Previous line repeated 52 more times]
  File "NVDAObjects\UIA\__init__.pyc", line 628, in _getTextWithFieldsForUIARange
  File "comtypesMonkeyPatches.pyc", line 26, in __call__

DEBUGWARNING - eventHandler.executeEvent (16:09:55.972) - MainThread (6148):
error executing event: gainFocus on <NVDAObjects.Dynamic_EditableTextWithAutoSelectDetectionUIA object at 0x07897FF0> with extra args of {}
Traceback (most recent call last):
  File "speech\__init__.pyc", line 490, in speakObject
  File "documentBase.pyc", line 24, in makeTextInfo
  File "NVDAObjects\UIA\__init__.pyc", line 297, in __init__
NotImplementedError: UIAutomationTextRangeArray is empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "eventHandler.pyc", line 155, in executeEvent
  File "eventHandler.pyc", line 92, in __init__
  File "eventHandler.pyc", line 100, in next
  File "C:\Users\MyName\AppData\Roaming\nvda\addons\remote\globalPlugins\remoteClient\__init__.py", line 426, in event_gainFocus
    nextHandler()
  File "eventHandler.pyc", line 100, in next
  File "NVDAObjects\behaviors.pyc", line 185, in event_gainFocus
  File "NVDAObjects\__init__.pyc", line 1102, in event_gainFocus
  File "NVDAObjects\__init__.pyc", line 988, in reportFocus
  File "speech\__init__.pyc", line 501, in speakObject
  File "speech\__init__.pyc", line 952, in speakTextInfo
  File "NVDAObjects\UIA\__init__.pyc", line 704, in getTextWithFields
  File "NVDAObjects\UIA\__init__.pyc", line 674, in _getTextWithFieldsForUIARange
  File "NVDAObjects\UIA\__init__.pyc", line 674, in _getTextWithFieldsForUIARange
  File "NVDAObjects\UIA\__init__.pyc", line 674, in _getTextWithFieldsForUIARange
  [Previous line repeated 71 more times]
  File "NVDAObjects\UIA\__init__.pyc", line 692, in _getTextWithFieldsForUIARange
  File "NVDAObjects\UIA\__init__.pyc", line 477, in _getTextWithFields_text
  File "NVDAObjects\UIA\__init__.pyc", line 443, in _getTextFromUIARange
  File "comtypesMonkeyPatches.pyc", line 26, in __call__
_ctypes.COMError: (-2147220991, 'Un evento non è riuscito a richiamare uno dei sottoscrittori', (None, None, None, 0, None))
DEBUGWARNING - NVDAObjects.__call__ (16:09:56.328) - Dummy-12 (5920):
Exception in chooseNVDAObjectOverlayClasses for <globalPlugins.DayOfTheWeek.GlobalPlugin object at 0x0730F930>
Traceback (most recent call last):
  File "NVDAObjects\__init__.pyc", line 104, in __call__
  File "C:\Users\MyName\AppData\Roaming\nvda\addons\dayOfTheWeek\globalPlugins\DayOfTheWeek.py", line 531, in chooseNVDAObjectOverlayClasses
    if obj.value and obj.role == controlTypes.ROLE_DROPLIST and isDatepickerDate (obj.value) and config.conf["dayOfWeek"]["enableAnnounces"]:
  File "baseObject.pyc", line 42, in __get__
  File "baseObject.pyc", line 145, in _getPropertyViaCache
  File "NVDAObjects\UIA\__init__.pyc", line 1451, in _get_value
  File "NVDAObjects\UIA\__init__.pyc", line 802, in _getUIACacheablePropertyValue
  File "comtypesMonkeyPatches.pyc", line 26, in __call__
_ctypes.COMError: (-2147220991, 'Un evento non è riuscito a richiamare uno dei sottoscrittori', (None, None, None, 0, None))
DEBUGWARNING - NVDAObjects.__call__ (16:09:56.331) - Dummy-12 (5920):
Invalid NVDAObject: no windowHandle
Traceback (most recent call last):
  File "NVDAObjects\__init__.pyc", line 79, in __call__
  File "NVDAObjects\UIA\__init__.pyc", line 1013, in __init__
NVDAObjects.InvalidNVDAObject: no windowHandle
DEBUGWARNING - NVDAObjects.UIA.UIA._prefetchUIACacheForPropertyIDs (16:09:58.912) - MainThread (6148):
IUIAutomationElement.buildUpdatedCache failed given IDs of {30019, 30086, 30022, 30025, 30036, 30070, 30103, 30008, 30009, 30010, 30046, 30079}
DEBUGWARNING - NVDAObjects.UIA.UIA._prefetchUIACacheForPropertyIDs (16:09:58.913) - MainThread (6148):
IUIAutomationElement.buildUpdatedCache failed given IDs of {30019, 30086, 30022, 30025, 30036, 30070, 30103, 30008, 30009, 30010, 30046, 30079}
DEBUGWARNING - NVDAObjects.UIA.UIA._prefetchUIACacheForPropertyIDs (16:09:58.922) - MainThread (6148):
IUIAutomationElement.buildUpdatedCache failed given IDs of [30043, 30132, 30034, 30151, 30042, 30044, 30149, 30033, 30108, 30112, 30036, 30090, 30030, 30118, 30040, 30028, 30031, 30035, 30041, 30137, 30109, 30136, 30032, 30027, 30127, 30037, 30141, 30039, 30038, 30128, 30029, 30110]
INFO - globalCommands.GlobalCommands.script_navigatorObject_devInfo (16:09:59.066) - MainThread (6148):
Developer info for navigator object:
name: ''
role: ROLE_DOCUMENT
roleText: None
states: exception: (-2147220991, 'Un evento non è riuscito a richiamare uno dei sottoscrittori', (None, None, None, 0, None))
isFocusable: exception: (-2147220991, 'Un evento non è riuscito a richiamare uno dei sottoscrittori', (None, None, None, 0, None))
hasFocus: False
Python object: <NVDAObjects.Dynamic_EditableTextWithAutoSelectDetectionUIA object at 0x07897FF0>
Python class mro: (<class 'NVDAObjects.Dynamic_EditableTextWithAutoSelectDetectionUIA'>, <class 'NVDAObjects.behaviors.EditableTextWithAutoSelectDetection'>, <class 'NVDAObjects.behaviors.EditableText'>, <class 'editableText.EditableText'>, <class 'NVDAObjects.UIA.UIA'>, <class 'NVDAObjects.window.Window'>, <class 'NVDAObjects.NVDAObject'>, <class 'documentBase.TextContainerObject'>, <class 'baseObject.ScriptableObject'>, <class 'baseObject.AutoPropertyObject'>, <class 'object'>)
description: ''
location: None
value: exception: (-2147220991, 'Un evento non è riuscito a richiamare uno dei sottoscrittori', (None, None, None, 0, None))
appModule: <'appModuleHandler' (appName 'msedge', process ID 216) at address 7897e90>
appModule.productName: exception: [WinError 31] Un dispositivo collegato al sistema non è in funzione.
appModule.productVersion: exception: [WinError 31] Un dispositivo collegato al sistema non è in funzione.
TextInfo: <class 'NVDAObjects.UIA.UIATextInfo'>
windowHandle: 2099298
windowClassName: 'Chrome_RenderWidgetHostHWND'
windowControlID: 0
windowStyle: 0
extendedWindowStyle: 0
windowThreadID: 4636
windowText: ''
displayText: exception: cannot unpack non-iterable NoneType object
UIAElement: <POINTER(IUIAutomationElement) ptr=0x5e7b820 at 78e3710>
UIA automationID: Exception: (-2147220991, 'Un evento non è riuscito a richiamare uno dei sottoscrittori', (None, None, None, 0, None))
UIA frameworkID: Chrome
UIA runtimeID: (42, 2099298, 4, 143)
UIA providerDescription: [pid:216,providerId:0x0 Main(parent link):Unidentified Provider (unmanaged:msedge.dll)]
UIA className: Exception: (-2147220991, 'Un evento non è riuscito a richiamare uno dei sottoscrittori', (None, None, None, 0, None))
UIA patterns available:
DEBUG - appModuleHandler.cleanup (16:09:59.094) - MainThread (6148):
application msedge closed
DEBUG - treeInterceptorHandler.killTreeInterceptor (16:09:59.096) - MainThread (6148):
Killed treeInterceptor: <NVDAObjects.IAccessible.chromium.ChromeVBuf object at 0x07939290>
DEBUGWARNING - NVDAObjects.UIA.UIA._prefetchUIACacheForPropertyIDs (16:09:59.099) - MainThread (6148):
IUIAutomationElement.buildUpdatedCache failed given IDs of {30019, 30086, 30022, 30025, 30036, 30070, 30103, 30008, 30009, 30010, 30046, 30079}
IO - speech.speak (16:09:59.105) - MainThread (6148):
Speaking ['Elemento di elenco']
DEBUG - external:globalPlugins.wintenObjs.GlobalPlugin.uiaDebugLogging (16:09:59.107) - MainThread (6148):
W10: UIA object: <appModules.explorer.MultitaskingViewFrameWindow object at 0x07C125D0>, name: , event: windowOpen, app module: <'explorer' (appName 'explorer', process ID 1692) at address 6021190>, automation Id: , class name: MultitaskingViewFrame
DEBUG - external:globalPlugins.wintenObjs.GlobalPlugin.uiaDebugLogging (16:09:59.108) - MainThread (6148):
W10: UIA object: <appModules.explorer.MultitaskingViewFrameWindow object at 0x07C25550>, name: , event: windowOpen, app module: <'explorer' (appName 'explorer', process ID 1692) at address 6021190>, automation Id: , class name: MultitaskingViewFrame
DEBUG - external:globalPlugins.wintenObjs.GlobalPlugin.uiaDebugLogging (16:09:59.109) - MainThread (6148):
W10: UIA object: <NVDAObjects.UIA.UIA object at 0x07C258D0>, name: , event: elementSelected, app module: <'appModuleHandler' (appName 'msedge', process ID 216) at address 7897e90>, automation Id: view_19, class name: Tab
DEBUG - external:globalPlugins.wintenObjs.GlobalPlugin.uiaDebugLogging (16:09:59.112) - MainThread (6148):
W10: UIA object: <NVDAObjects.UIA.UIA object at 0x07C3A2D0>, name: , event: notification, app module: <'appModuleHandler' (appName 'msedge', process ID 216) at address 7897e90>, automation Id: view_20, class name: TabStrip
DEBUG - external:globalPlugins.wintenObjs.GlobalPlugin.event_UIA_notification (16:09:59.112) - MainThread (6148):
W10: UIA notification: sender: <POINTER(IUIAutomationElement) ptr=0xad4b9a0 at 7bfada0>, notification kind: 2, notification processing: 1, display string: Chiusura scheda, activity ID: ClosingTab
IO - tones.beep (16:09:59.112) - MainThread (6148):
Beep at pitch 500, for 100 ms, left volume 50, right volume 50
DEBUGWARNING - NVDAObjects.UIA.UIA._prefetchUIACacheForPropertyIDs (16:09:59.130) - MainThread (6148):
IUIAutomationElement.buildUpdatedCache failed given IDs of {30019, 30086, 30022, 30025, 30036, 30070, 30103, 30008, 30009, 30010, 30046, 30079}
DEBUGWARNING - eventHandler.executeEvent (16:09:59.131) - MainThread (6148):
error executing event: gainFocus on <NVDAObjects.UIA.UIA object at 0x07C3A430> with extra args of {}
Traceback (most recent call last):
  File "eventHandler.pyc", line 155, in executeEvent
  File "eventHandler.pyc", line 92, in __init__
  File "eventHandler.pyc", line 100, in next
  File "C:\Users\MyName\AppData\Roaming\nvda\addons\remote\globalPlugins\remoteClient\__init__.py", line 426, in event_gainFocus
    nextHandler()
  File "eventHandler.pyc", line 100, in next
  File "NVDAObjects\__init__.pyc", line 1102, in event_gainFocus
  File "NVDAObjects\__init__.pyc", line 988, in reportFocus
  File "speech\__init__.pyc", line 485, in speakObject
  File "speech\__init__.pyc", line 318, in speakObjectProperties
  File "baseObject.pyc", line 42, in __get__
  File "baseObject.pyc", line 145, in _getPropertyViaCache
  File "NVDAObjects\UIA\__init__.pyc", line 1207, in _get_states
  File "NVDAObjects\UIA\__init__.pyc", line 802, in _getUIACacheablePropertyValue
  File "comtypesMonkeyPatches.pyc", line 26, in __call__
_ctypes.COMError: (-2147220991, 'Un evento non è riuscito a richiamare uno dei sottoscrittori', (None, None, None, 0, None))
DEBUG - IAccessibleHandler.accessibleObjectFromEvent (16:09:59.155) - MainThread (6148):
oleacc.AccessibleObjectFromEvent with window 983732, objectID 1 and childID 0: [WinError -2147467259] Errore non specificato
DEBUG - IAccessibleHandler.accessibleObjectFromEvent (16:09:59.155) - MainThread (6148):
oleacc.AccessibleObjectFromEvent with window 983732, objectID 2 and childID 0: [WinError -2147467259] Errore non specificato
DEBUG - IAccessibleHandler.accessibleObjectFromEvent (16:09:59.155) - MainThread (6148):
oleacc.AccessibleObjectFromEvent with window 983732, objectID 3 and childID 0: [WinError -2147467259] Errore non specificato
DEBUG - IAccessibleHandler.accessibleObjectFromEvent (16:09:59.156) - MainThread (6148):
oleacc.AccessibleObjectFromEvent with window 983732, objectID 4 and childID 0: [WinError -2147467259] Errore non specificato
DEBUG - IAccessibleHandler.accessibleObjectFromEvent (16:09:59.157) - MainThread (6148):
oleacc.AccessibleObjectFromEvent with window 983732, objectID 5 and childID 0: [WinError -2147467259] Errore non specificato
IO - speech.speak (16:09:59.168) - MainThread (6148):
Speaking ['Visualizzatore log di NVDA']

[FINE EVENTO]

NVDA riprende a parlare.

Strano che il problema non sia già noto, l'ho riprodotto in tre diverse macchine e si presenta sempre allo stesso modo.

Nel log che ho riportato ho premuto il tasto applicazioni e poi dato invio sulla voce "Copia collegamento", ma il problema si verifica anche semplicemente entrando e uscendo dal menù contestuale premendo "Applicazioni" e subito dopo il tasto "Esc".

--
Deejay Raf

Join nvda-it@groups.io to automatically receive all group messages.